commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/Arbiter.h b/server/include/Arbiter.h
index a9533f5..56564f5 100644
--- a/server/include/Arbiter.h
+++ b/server/include/Arbiter.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <string>
@@ -38,75 +38,69 @@
 #include <boost/shared_ptr.hpp>
 #include <vector>
 
-class Arbiter{
+class Arbiter {
 public:
-    Arbiter(std::string audio_output);
-    ~Arbiter();
+	Arbiter(std::string audio_output);
+	~Arbiter();
 
-    void arbitrate();
+	void arbitrate();
 
-    void set_default_emotion(EmotionState e);
-    void set_current_emotion(EmotionState e);
-    void set_mouth_config(MouthConfig m);
-    void speak(boost::shared_ptr<Utterance> u);
-    bool speak_active();
+	void set_default_emotion(EmotionState e);
+	void set_current_emotion(EmotionState e);
+	void set_mouth_config(MouthConfig m);
+	void speak(boost::shared_ptr<Utterance> u);
+	bool speak_active();
 
-    void set_gaze_target(humotion::GazeState g);
-    void set_mouth_target(humotion::MouthState target);
-    void play_animation(boost::shared_ptr<Animation> ani);
+	void set_gaze_target(humotion::GazeState g);
+	void set_mouth_target(humotion::MouthState target);
+	void play_animation(boost::shared_ptr<Animation> ani);
 
-    humotion::GazeState  get_gaze_state();
-    humotion::MouthState get_mouth_state();
+	humotion::GazeState get_gaze_state();
+	humotion::MouthState get_mouth_state();
 
 private:
-    void override_by_emotion();
-    void override_by_gaze();
-    void override_by_animation();
-    void override_by_utterance();
-    void override_by_mouth();
+	void override_by_emotion();
+	void override_by_gaze();
+	void override_by_animation();
+	void override_by_utterance();
+	void override_by_mouth();
 
-    humotion::GazeState soft_overblend_gaze(humotion::GazeState gaze_now,
-                                            humotion::GazeState gaze_target,
-                                            unsigned int overblend_time);
+	humotion::GazeState soft_overblend_gaze(humotion::GazeState gaze_now, humotion::GazeState gaze_target,
+	                                        unsigned int overblend_time);
 
-    EmotionConfig emotion_config_current;
-    EmotionConfig emotion_config_default;
+	EmotionConfig emotion_config_current;
+	EmotionConfig emotion_config_default;
 
-    humotion::MouthState mouth_state;
-    humotion::GazeState gaze_state;
+	humotion::MouthState mouth_state;
+	humotion::GazeState gaze_state;
 
+	boost::posix_time::ptime gaze_state_end_time;
+	humotion::GazeState gaze_state_old;
+	bool gaze_state_animation_restart;
 
-    boost::posix_time::ptime gaze_state_end_time;
-    humotion::GazeState gaze_state_old;
-    bool gaze_state_animation_restart;
+	EmotionConfig* emotion_target;
 
-    EmotionConfig *emotion_target;
+	MouthConfig mouth_config;
 
-    MouthConfig mouth_config;
+	boost::shared_ptr<Utterance> utterance;
 
-    boost::shared_ptr<Utterance> utterance;
+	humotion::GazeState requested_gaze_state;
+	humotion::MouthState requested_mouth_state;
 
-    humotion::GazeState requested_gaze_state;
-    humotion::MouthState requested_mouth_state;
+	boost::mutex emotion_config_default_mutex;
+	boost::mutex emotion_config_current_mutex;
+	boost::mutex mouth_config_override_mutex;
+	boost::mutex utterance_mutex;
+	boost::mutex requested_gaze_state_mutex;
+	boost::mutex requested_mouth_state_mutex;
+	boost::mutex audio_player_mutex;
 
+	boost::mutex animation_mutex;
+	Animation active_animation;
 
-    boost::mutex emotion_config_default_mutex;
-    boost::mutex emotion_config_current_mutex;
-    boost::mutex mouth_config_override_mutex;
-    boost::mutex utterance_mutex;
-    boost::mutex requested_gaze_state_mutex;
-    boost::mutex requested_mouth_state_mutex;
-    boost::mutex audio_player_mutex;
+	typedef std::vector<boost::shared_ptr<Animation>> active_animation_vector_t;
+	boost::mutex active_animation_vector_mutex;
+	active_animation_vector_t active_animation_vector;
 
-    boost::mutex animation_mutex;
-    Animation active_animation;
-
-    typedef std::vector<boost::shared_ptr<Animation>> active_animation_vector_t;
-    boost::mutex active_animation_vector_mutex;
-    active_animation_vector_t active_animation_vector;
-
-
-    AudioPlayer *audio_player;
+	AudioPlayer* audio_player;
 };
-
-