commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/EmotionConfig.h b/server/include/EmotionConfig.h
index fcf6b96..d87dcf8 100644
--- a/server/include/EmotionConfig.h
+++ b/server/include/EmotionConfig.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include <humotion/client/client.h>
@@ -32,50 +32,47 @@
 #include <boost/thread/thread_time.hpp>
 #include <boost/thread/thread.hpp>
 
-
-class EmotionConfig{
+class EmotionConfig {
 public:
+	typedef enum
+	{
+		NEUTRAL = 0,
+		HAPPY = 1,
+		SAD = 2,
+		ANGRY = 3,
+		SURPRISED = 4,
+		FEAR = 5
+	} EmotionType;
 
-    typedef enum{
-        NEUTRAL  = 0,
-        HAPPY    = 1,
-        SAD      = 2,
-        ANGRY    = 3,
-        SURPRISED = 4,
-        FEAR     = 5
-    } EmotionType;
-
+	EmotionConfig();
+	EmotionConfig(EmotionType e);
+	~EmotionConfig();
 
-    EmotionConfig();
-    EmotionConfig(EmotionType e);
-    ~EmotionConfig();
+	void set_duration(unsigned long ms);
 
-    void set_duration(unsigned long ms);
+	void select_config(EmotionType e);
 
-    void select_config(EmotionType e);
+	void init_neutral();
+	void init_happy();
+	void init_sad();
+	void init_angry();
+	void init_surprised();
+	void init_fear();
 
-    void init_neutral();
-    void init_happy();
-    void init_sad();
-    void init_angry();
-    void init_surprised();
-    void init_fear();
+	bool is_active();
 
-    bool is_active();
+	// override/influence the gaze state
+	// -> override neck angles (will be added to neck ptr)
+	// -> set eyelid opening (rel to moving eyeball)
+	// -> force eyebrows
+	humotion::GazeState gaze_override;
 
+	// override mouth
+	humotion::MouthState mouth_override;
 
-    //override/influence the gaze state
-    // -> override neck angles (will be added to neck ptr)
-    // -> set eyelid opening (rel to moving eyeball)
-    // -> force eyebrows
-    humotion::GazeState gaze_override;
+	// overblend time
+	unsigned int overblend_time_ms;
 
-    //override mouth
-    humotion::MouthState mouth_override;
-
-    //overblend time
-    unsigned int overblend_time_ms;
 private:
-    boost::system_time end_time;
+	boost::system_time end_time;
 };
-