commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/MiddlewareROS.h b/server/include/MiddlewareROS.h
index 3b1e1c5..e351651 100644
--- a/server/include/MiddlewareROS.h
+++ b/server/include/MiddlewareROS.h
@@ -1,100 +1,101 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
 #ifdef ROS_SUPPORT
-    #include "ros/ros.h"
-    #include <actionlib/client/simple_action_client.h>
-    #include <tf2_ros/transform_listener.h>
+#include "ros/ros.h"
+#include <actionlib/client/simple_action_client.h>
+#include <tf2_ros/transform_listener.h>
 
-    //messages
-    #include "hlrc_server/phoneme.h"
-    #include "hlrc_server/soundchunk.h"
-    #include "hlrc_server/utterance.h"
-    //actions
-    #include "hlrc_server/gazetargetAction.h"
-    #include "hlrc_server/lookattargetAction.h"
-    #include "hlrc_server/ttsAction.h"
+// messages
+#include "hlrc_server/phoneme.h"
+#include "hlrc_server/soundchunk.h"
+#include "hlrc_server/utterance.h"
+// actions
+#include "hlrc_server/gazetargetAction.h"
+#include "hlrc_server/lookattargetAction.h"
+#include "hlrc_server/ttsAction.h"
 
-    #include "ROS/GazeCallbackWrapperROS.h"
-    #include "ROS/LookatCallbackWrapperROS.h"
-    #include "ROS/MouthCallbackWrapperROS.h"
-    #include "ROS/UtteranceCallbackWrapperROS.h"
-    #include "ROS/EmotionCallbackWrapperROS.h"
-    #include "ROS/AnimationCallbackWrapperROS.h"
-    #include "ROS/SpeechCallbackWrapperROS.h"
+#include "ROS/GazeCallbackWrapperROS.h"
+#include "ROS/LookatCallbackWrapperROS.h"
+#include "ROS/MouthCallbackWrapperROS.h"
+#include "ROS/UtteranceCallbackWrapperROS.h"
+#include "ROS/EmotionCallbackWrapperROS.h"
+#include "ROS/AnimationCallbackWrapperROS.h"
+#include "ROS/SpeechCallbackWrapperROS.h"
 #endif
 #include <boost/shared_ptr.hpp>
 
 #define ROS_ACTION_CALL_TIMEOUT 30.0
 
-class MiddlewareROS : public Middleware{
+class MiddlewareROS : public Middleware {
 #ifndef ROS_SUPPORT
 public:
-    MiddlewareROS(Arbiter *a, std::string _base_scope) : Middleware(a, _base_scope){
-        printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
-        exit(EXIT_FAILURE);
-    }
+	MiddlewareROS(Arbiter* a, std::string _base_scope) : Middleware(a, _base_scope) {
+		printf("> ERROR: hlrc was compiled without ROS middleware support. Please use MiddlewareRSB() instead!\n\n");
+		exit(EXIT_FAILURE);
+	}
 
-    ~MiddlewareROS(){}
-    void init(){};
-    void tick(){};
+	~MiddlewareROS() {
+	}
+	void init(){};
+	void tick(){};
 
-    boost::shared_ptr<Utterance> tts_call(std::string text){
-        return boost::shared_ptr<Utterance>(new Utterance());
-    }
+	boost::shared_ptr<Utterance> tts_call(std::string text) {
+		return boost::shared_ptr<Utterance>(new Utterance());
+	}
 
 #else
 public:
-    MiddlewareROS(Arbiter *a, std::string _base_scope);
-    ~MiddlewareROS();
-    void init();
-    void tick();
-    boost::shared_ptr<Utterance> tts_call(std::string text);
+	MiddlewareROS(Arbiter* a, std::string _base_scope);
+	~MiddlewareROS();
+	void init();
+	void tick();
+	boost::shared_ptr<Utterance> tts_call(std::string text);
 
 private:
-    //boost::shared_ptr<ros::NodeHandle> node_handle;
-    ros::NodeHandle *ros_node_handle;
-    bool tick_necessary;
-    //listen to tf tree
-    tf2_ros::Buffer tfBuffer;
-    boost::shared_ptr<tf2_ros::TransformListener> tfListener;
+	// boost::shared_ptr<ros::NodeHandle> node_handle;
+	ros::NodeHandle* ros_node_handle;
+	bool tick_necessary;
+	// listen to tf tree
+	tf2_ros::Buffer tfBuffer;
+	boost::shared_ptr<tf2_ros::TransformListener> tfListener;
 
-    //FIXME: These pointers are never destroyed. Shouldn't they be shared_ptrs?
-    AnimationCallbackWrapper *animation_action_server;
-    UtteranceCallbackWrapper *utterance_action_server;
-    EmotionCallbackWrapper *current_emotion_action_server;
-    EmotionCallbackWrapper *default_emotion_action_server;
-    GazeCallbackWrapper *gaze_action_server;
-    LookatCallbackWrapper *lookat_action_server;
-    MouthCallbackWrapper *mouth_action_server;
-    SpeechCallbackWrapper *speech_action_server;
-    actionlib::SimpleActionClient<hlrc_server::ttsAction> *tts_ac;
+	// FIXME: These pointers are never destroyed. Shouldn't they be shared_ptrs?
+	AnimationCallbackWrapper* animation_action_server;
+	UtteranceCallbackWrapper* utterance_action_server;
+	EmotionCallbackWrapper* current_emotion_action_server;
+	EmotionCallbackWrapper* default_emotion_action_server;
+	GazeCallbackWrapper* gaze_action_server;
+	LookatCallbackWrapper* lookat_action_server;
+	MouthCallbackWrapper* mouth_action_server;
+	SpeechCallbackWrapper* speech_action_server;
+	actionlib::SimpleActionClient<hlrc_server::ttsAction>* tts_ac;
 #endif
 };