commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/MiddlewareRSB.h b/server/include/MiddlewareRSB.h
index e8f86cb..3fb48c3 100644
--- a/server/include/MiddlewareRSB.h
+++ b/server/include/MiddlewareRSB.h
@@ -1,74 +1,71 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
 #ifdef RSB_SUPPORT
-    #define BOOST_SIGNALS_NO_DEPRECATION_WARNING 1
-    #include <rsb/Listener.h>
-    #include <rsb/patterns/LocalServer.h>
-    #include <rsb/patterns/RemoteServer.h>
+#define BOOST_SIGNALS_NO_DEPRECATION_WARNING 1
+#include <rsb/Listener.h>
+#include <rsb/patterns/LocalServer.h>
+#include <rsb/patterns/RemoteServer.h>
 #endif
 
-class MiddlewareRSB : public Middleware{
+class MiddlewareRSB : public Middleware {
 #ifndef RSB_SUPPORT
 public:
-    MiddlewareRSB(Arbiter *a, std::string _base_scope) : Middleware(a, _base_scope){
-        printf("> ERROR: hlrc was compiled without RSB middleware support. Please use MiddlewareROS() instead!\n\n");
-        exit(EXIT_FAILURE);
-    }
+	MiddlewareRSB(Arbiter* a, std::string _base_scope) : Middleware(a, _base_scope) {
+		printf("> ERROR: hlrc was compiled without RSB middleware support. Please use MiddlewareROS() instead!\n\n");
+		exit(EXIT_FAILURE);
+	}
 
-    ~MiddlewareRSB(){}
-    void init(){};
-    void tick(){};
-    boost::shared_ptr<Utterance> tts_call(std::string text){
-        return boost::shared_ptr<Utterance>(new Utterance());
-    }
+	~MiddlewareRSB() {
+	}
+	void init(){};
+	void tick(){};
+	boost::shared_ptr<Utterance> tts_call(std::string text) {
+		return boost::shared_ptr<Utterance>(new Utterance());
+	}
 
 #else
 public:
-    MiddlewareRSB(Arbiter *a, std::string _base_scope);
-    ~MiddlewareRSB();
-    void init();
-    void tick();
-    boost::shared_ptr<Utterance> tts_call(std::string text);
+	MiddlewareRSB(Arbiter* a, std::string _base_scope);
+	~MiddlewareRSB();
+	void init();
+	void tick();
+	boost::shared_ptr<Utterance> tts_call(std::string text);
 
 private:
-    void init_callbacks();
-    void init_callback(std::string name, rsb::patterns::LocalServer::CallbackPtr callback_ptr);
+	void init_callbacks();
+	void init_callback(std::string name, rsb::patterns::LocalServer::CallbackPtr callback_ptr);
 
-    rsb::patterns::LocalServerPtr server;
-    rsb::patterns::LocalServerPtr server_parallel;
-    rsb::patterns::RemoteServerPtr tts_server;
-    rsb::ListenerPtr speak_listener;
+	rsb::patterns::LocalServerPtr server;
+	rsb::patterns::LocalServerPtr server_parallel;
+	rsb::patterns::RemoteServerPtr tts_server;
+	rsb::ListenerPtr speak_listener;
 #endif
 };
-
-
-
-