commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/ROS/CallbackWrapperROS.h b/server/include/ROS/CallbackWrapperROS.h
index b91e2f0..ccd2f59 100644
--- a/server/include/ROS/CallbackWrapperROS.h
+++ b/server/include/ROS/CallbackWrapperROS.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
@@ -32,34 +32,36 @@
 #include <actionlib/server/simple_action_server.h>
 #include <actionlib/action_definition.h>
 
-template <typename actionspec> class CallbackWrapper{
-    protected:
-        //NODEHANDLE has to be created before evrything else, otherwise really strange things happen (really!)
-        //ros::NodeHandle nh_;
+template <typename actionspec>
+class CallbackWrapper {
+protected:
+	// NODEHANDLE has to be created before evrything else, otherwise really strange things happen (really!)
+	// ros::NodeHandle nh_;
 
-    public:
-        //get nice macros
-        ACTION_DEFINITION(actionspec);
+public:
+	// get nice macros
+	ACTION_DEFINITION(actionspec);
 
-        CallbackWrapper(Middleware *_mw, std::string scope, std::string _name, boost::function<void (const GoalConstPtr&)> cb = 0) : as_(scope + "/" + _name, cb, false){
-            name = _name;
-            mw = _mw;
-            as_.start();
-        }
+	CallbackWrapper(Middleware* _mw, std::string scope, std::string _name, boost::function<void(const GoalConstPtr&)> cb = 0)
+	   : as_(scope + "/" + _name, cb, false) {
+		name = _name;
+		mw = _mw;
+		as_.start();
+	}
 
-        ~CallbackWrapper(){}
+	~CallbackWrapper() {
+	}
 
+protected:
+	double get_timestamp() {
+		// fetch time
+		struct timespec tp;
+		clock_gettime(CLOCK_REALTIME, &tp);
+		return tp.tv_sec + tp.tv_nsec / 1000000000.0;
+	};
 
-    protected:
-        double get_timestamp(){
-            //fetch time
-            struct timespec tp;
-            clock_gettime(CLOCK_REALTIME, &tp);
-            return tp.tv_sec+tp.tv_nsec/1000000000.0;
-        };
+	actionlib::SimpleActionServer<actionspec> as_;
 
-        actionlib::SimpleActionServer<actionspec> as_;
-
-        std::string name;
-        Middleware *mw;
+	std::string name;
+	Middleware* mw;
 };