commit f150aab5e67a545824004a49277c82f66c0c4651
Author: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Date:   Sat Nov 14 14:57:52 2020 +0100

    clang-format-10

diff --git a/server/include/ROS/EmotionCallbackWrapperROS.h b/server/include/ROS/EmotionCallbackWrapperROS.h
index 3e7f4ec..14676b6 100644
--- a/server/include/ROS/EmotionCallbackWrapperROS.h
+++ b/server/include/ROS/EmotionCallbackWrapperROS.h
@@ -1,91 +1,103 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "hlrc_server/emotionstateAction.h"
 #include "CallbackWrapperROS.h"
 
-//callback handler incoming gaze requests:
-class EmotionCallbackWrapper : CallbackWrapper<hlrc_server::emotionstateAction>{
+// callback handler incoming gaze requests:
+class EmotionCallbackWrapper : CallbackWrapper<hlrc_server::emotionstateAction> {
 protected:
-    hlrc_server::emotionstateFeedback feedback;
-    hlrc_server::emotionstateResult result;
-
+	hlrc_server::emotionstateFeedback feedback;
+	hlrc_server::emotionstateResult result;
 
 public:
+	EmotionCallbackWrapper(Middleware* mw, std::string scope, std::string name)
+	   : CallbackWrapper<hlrc_server::emotionstateAction>(mw, scope, name,
+	                                                      boost::bind(&EmotionCallbackWrapper::call, this, _1)){
+		   //
+	   };
 
-    EmotionCallbackWrapper(Middleware *mw, std::string scope, std::string name) : CallbackWrapper<hlrc_server::emotionstateAction>(mw, scope, name, boost::bind(&EmotionCallbackWrapper::call, this, _1)){
-        //
-    };
-
-    void call(const GoalConstPtr &goal){
-        hlrc_server::emotionstateGoalConstPtr request = goal;
-        printf("> incoming emotion (%s = %d)\n", name.c_str(), (int)request->value);
-        feedback.result = 1;
-
-        EmotionState emotion_state;
+	void call(const GoalConstPtr& goal) {
+		hlrc_server::emotionstateGoalConstPtr request = goal;
+		printf("> incoming emotion (%s = %d)\n", name.c_str(), (int)request->value);
+		feedback.result = 1;
 
-        //extract data & copy it to our datatype (might be good when we allow multiple middlewares in the feature)
-        switch ((int)request->value){
-            case(hlrc_server::emotionstateGoal::NEUTRAL):   emotion_state.value = EmotionConfig::NEUTRAL; break;
-            case(hlrc_server::emotionstateGoal::HAPPY):     emotion_state.value = EmotionConfig::HAPPY; break;
-            case(hlrc_server::emotionstateGoal::SAD):       emotion_state.value = EmotionConfig::SAD; break;
-            case(hlrc_server::emotionstateGoal::ANGRY):     emotion_state.value = EmotionConfig::ANGRY; break;
-            case(hlrc_server::emotionstateGoal::SURPRISED): emotion_state.value = EmotionConfig::SURPRISED; break;
-            case(hlrc_server::emotionstateGoal::FEAR):      emotion_state.value = EmotionConfig::FEAR; break;
-            default:
-                printf("> invalid EmotionState value. exiting\n");
-                feedback.result = 0;
-                return;
-        }
+		EmotionState emotion_state;
 
-        emotion_state.duration = request->duration;
+		// extract data & copy it to our datatype (might be good when we allow multiple middlewares in the feature)
+		switch ((int)request->value) {
+			case (hlrc_server::emotionstateGoal::NEUTRAL):
+				emotion_state.value = EmotionConfig::NEUTRAL;
+				break;
+			case (hlrc_server::emotionstateGoal::HAPPY):
+				emotion_state.value = EmotionConfig::HAPPY;
+				break;
+			case (hlrc_server::emotionstateGoal::SAD):
+				emotion_state.value = EmotionConfig::SAD;
+				break;
+			case (hlrc_server::emotionstateGoal::ANGRY):
+				emotion_state.value = EmotionConfig::ANGRY;
+				break;
+			case (hlrc_server::emotionstateGoal::SURPRISED):
+				emotion_state.value = EmotionConfig::SURPRISED;
+				break;
+			case (hlrc_server::emotionstateGoal::FEAR):
+				emotion_state.value = EmotionConfig::FEAR;
+				break;
+			default:
+				printf("> invalid EmotionState value. exiting\n");
+				feedback.result = 0;
+				return;
+		}
 
-        //send to application
-        if (name == "defaultEmotion"){
-            //set default emotion:
-            mw->default_emotion_callback(emotion_state);
-        }else if (name == "currentEmotion"){
-            //set current emotion:
-            mw->current_emotion_callback(emotion_state);
-        }else{
-            printf("> invalid method called '%s'\n",name.c_str());
-            return;
-        }
+		emotion_state.duration = request->duration;
 
-        if (feedback.result){
-            result.result = 1;
-            as_.setSucceeded(result);
-        }else{
-            as_.setAborted(result);
-        }
+		// send to application
+		if (name == "defaultEmotion") {
+			// set default emotion:
+			mw->default_emotion_callback(emotion_state);
+		}
+		else if (name == "currentEmotion") {
+			// set current emotion:
+			mw->current_emotion_callback(emotion_state);
+		}
+		else {
+			printf("> invalid method called '%s'\n", name.c_str());
+			return;
+		}
 
-    }
+		if (feedback.result) {
+			result.result = 1;
+			as_.setSucceeded(result);
+		}
+		else {
+			as_.setAborted(result);
+		}
+	}
 };
-
-